Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157697 - Sendmail stops sending large messages after a large message is sent
Summary: Sendmail stops sending large messages after a large message is sent
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: sendmail
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-13 20:58 UTC by Ivan Marsh
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-14 13:23:11 UTC


Attachments (Terms of Use)

Description Ivan Marsh 2005-05-13 20:58:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
This was a vanillia install that stopped working with no config changes... I noticed the problem when I stopped receiving my backup logs daily. Test.txt is an example file, it does the same thing with any file.

tail -n23000 test.txt | mail -s "test" root; Works fine.
tail -n24000 test.txt | mail -s "test" root; Message gets queued in /var/spool/clientmqueue and will not get sent until the server is rebooted.

After a message larger than ~23000 lines is sent:

tail -n4223 test.txt | mail -s "test" root; Works fine.
tail -n4224 test.txt | mail -s "test" root; Is now the largest message I can send and expect it to be sent without a reboot.

When a message gets stuck the last maillog message is the stat=queued message.

This behavior is consistant.

I don't know much about sendmail, I'd be happy to provide any logs or testing needed.

Version-Release number of selected component (if applicable):
sendmail-8.13.1-2

How reproducible:
Always

Steps to Reproduce:
1.tail -n24000 test.txt | mail -s "test" root;
  

Actual Results:  Message gets queued in /var/spool/clientmqueue and will not get sent until the server is rebooted.

Expected Results:  Messages should be delivered.

Additional info:

Comment 1 Ivan Marsh 2005-06-20 17:41:41 UTC
This was caused by a high load average on the machine. After bringing the load
average down (by stopping some of the running processes) the issue went away.
This still doesn't explain why the server never tried to automatically resend
the messages after the load decreased.

Comment 2 Matthew Miller 2006-07-10 20:51:35 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 3 Thomas Woerner 2006-07-14 13:23:11 UTC
Please verify this with a newer version of Red Hat Enterprise Linux or
Fedora Core and reopen it against the new version if there is still a 
problem.

There is a limit for mail sizes in sendmail. This limit and all others are
explained in the sendmail documentation.

Closing as "NOT A BUG" for now.



Note You need to log in before you can comment on or make changes to this bug.